# Attributes_Def_Builder.h File Reference

`#include "ACEXML/common/ACEXML_Export.h"`
`#include "ACEXML/common/XML_Types.h"`
`#include "ACEXML/common/Env.h"`
`#include "ACEXML/common/SAXExceptions.h"`
`#include "ace/Auto_Ptr.h"`

Include dependency graph for Attributes_Def_Builder.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACEXML_Attribute_Def_Builder
| An abstract virtual class defining an interface for building an attribute definition from DTD. More...
class | ACEXML_Attributes_Def_Builder

## Detailed Description

Id
  Attributes_Def_Builder.h,v 1.10 2003/07/19 19:04:10 dhinton Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>